import React from "react";
import { useNetlifyIdentity as _useNetlifyIdentity } from "react-netlify-identity";
/** URL of your Netlify Instance with Identity enabled e.g. https://netlify-gotrue-in-react.netlify.com */
declare type ModalProps = {
    /** pass a boolean to be true or false */
    showDialog: boolean;
    /** modal will call this function to set the state of showDialog to false */
    onCloseDialog: () => void;
};
export declare const IdentityContextProvider: React.ProviderExoticComponent<React.ProviderProps<{
    user: import("gotrue-js").User | undefined;
    setUser: React.Dispatch<React.SetStateAction<import("gotrue-js").User | undefined>>;
    isConfirmedUser: boolean;
    isLoggedIn: boolean;
    signupUser: (email: string, password: string, data: Object) => Promise<import("gotrue-js").User | undefined>;
    loginUser: (email: string, password: string, remember?: boolean | undefined) => Promise<import("gotrue-js").User | undefined>;
    logoutUser: () => Promise<import("gotrue-js").User | undefined>;
    requestPasswordRecovery: (email: string) => Promise<void>;
    recoverAccount: (token: string, remember?: boolean | undefined) => Promise<import("gotrue-js").User>;
    updateUser: (fields: Object) => Promise<import("gotrue-js").User | undefined>;
    getFreshJWT: () => Promise<string>;
    authedFetch: {
        get: (endpoint: string, obj?: {} | undefined) => Promise<any>;
        post: (endpoint: string, obj?: {} | undefined) => Promise<any>;
        put: (endpoint: string, obj?: {} | undefined) => Promise<any>;
        delete: (endpoint: string, obj?: {} | undefined) => Promise<any>;
    };
    _goTrueInstance: import("gotrue-js").default;
    _domain: string;
    loginProvider: (provider: "bitbucket" | "facebook" | "github" | "gitlab" | "google") => void;
    acceptInviteExternalUrl: (provider: "bitbucket" | "facebook" | "github" | "gitlab" | "google", token: string) => string;
    settings: () => Promise<import("gotrue-js").Settings>;
} | undefined>>;
export declare const useNetlifyIdentity: typeof _useNetlifyIdentity;
export declare const IdentityContext: React.Context<{
    user: import("gotrue-js").User | undefined;
    setUser: React.Dispatch<React.SetStateAction<import("gotrue-js").User | undefined>>;
    isConfirmedUser: boolean;
    isLoggedIn: boolean;
    signupUser: (email: string, password: string, data: Object) => Promise<import("gotrue-js").User | undefined>;
    loginUser: (email: string, password: string, remember?: boolean | undefined) => Promise<import("gotrue-js").User | undefined>;
    logoutUser: () => Promise<import("gotrue-js").User | undefined>;
    requestPasswordRecovery: (email: string) => Promise<void>;
    recoverAccount: (token: string, remember?: boolean | undefined) => Promise<import("gotrue-js").User>;
    updateUser: (fields: Object) => Promise<import("gotrue-js").User | undefined>;
    getFreshJWT: () => Promise<string>;
    authedFetch: {
        get: (endpoint: string, obj?: {} | undefined) => Promise<any>;
        post: (endpoint: string, obj?: {} | undefined) => Promise<any>;
        put: (endpoint: string, obj?: {} | undefined) => Promise<any>;
        delete: (endpoint: string, obj?: {} | undefined) => Promise<any>;
    };
    _goTrueInstance: import("gotrue-js").default;
    _domain: string;
    loginProvider: (provider: "bitbucket" | "facebook" | "github" | "gitlab" | "google") => void;
    acceptInviteExternalUrl: (provider: "bitbucket" | "facebook" | "github" | "gitlab" | "google", token: string) => string;
    settings: () => Promise<import("gotrue-js").Settings>;
} | undefined>;
export declare const useIdentityContext: () => {
    user: import("gotrue-js").User | undefined;
    setUser: React.Dispatch<React.SetStateAction<import("gotrue-js").User | undefined>>;
    isConfirmedUser: boolean;
    isLoggedIn: boolean;
    signupUser: (email: string, password: string, data: Object) => Promise<import("gotrue-js").User | undefined>;
    loginUser: (email: string, password: string, remember?: boolean | undefined) => Promise<import("gotrue-js").User | undefined>;
    logoutUser: () => Promise<import("gotrue-js").User | undefined>;
    requestPasswordRecovery: (email: string) => Promise<void>;
    recoverAccount: (token: string, remember?: boolean | undefined) => Promise<import("gotrue-js").User>;
    updateUser: (fields: Object) => Promise<import("gotrue-js").User | undefined>;
    getFreshJWT: () => Promise<string>;
    authedFetch: {
        get: (endpoint: string, obj?: {} | undefined) => Promise<any>;
        post: (endpoint: string, obj?: {} | undefined) => Promise<any>;
        put: (endpoint: string, obj?: {} | undefined) => Promise<any>;
        delete: (endpoint: string, obj?: {} | undefined) => Promise<any>;
    };
    _goTrueInstance: import("gotrue-js").default;
    _domain: string;
    loginProvider: (provider: "bitbucket" | "facebook" | "github" | "gitlab" | "google") => void;
    acceptInviteExternalUrl: (provider: "bitbucket" | "facebook" | "github" | "gitlab" | "google", token: string) => string;
    settings: () => Promise<import("gotrue-js").Settings>;
};
export declare function IdentityModal({ showDialog, onCloseDialog }: ModalProps): JSX.Element;
export default IdentityModal;
